Inhalte

# VGA-Funktion RGB

Gibt gemäß der VBA-Farbformel einen ganzzahligen Farbwert Long zurück, der aus roten, grünen und blauen Komponenten besteht.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    RGB (Red, Green, Blue)

### Rückgabetyp:

Long

### Parameter:

Rot: Ein beliebiger Integerausdruck, der die Rotkomponente (0-255) der zusammengesetzten Farbe angibt.

Grün: Ein beliebiger Integerausdruck, der die Grünkomponente (0-255) der zusammengesetzten Farbe angibt.

Blau: Ein beliebiger Integerausdruck, der die Blaukomponente (0-255) der zusammengesetzten Farbe angibt.

Aufgrund des VBA-Kompatibilitätsmodus (Option VBASupport 1) wird der Wert Long berechnet als
Ergebnis = rot + grün×256 + blau×65536.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Option VBASupport 1
    Sub ExampleRGBVBA
    Dim lVar As Long
        lVar = rgb(128,0,200)
        Print lVar; ' gibt 13107328 zurück
    End Sub